commit:     1ea6b13f00fe6eba1eb676e09079927b04d23412
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 20 12:07:35 2025 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Thu Nov 20 12:51:54 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ea6b13f

dev-qt/qtremoteobjects: add 6.10.1

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 dev-qt/qtremoteobjects/Manifest                    |  1 +
 .../qtremoteobjects/qtremoteobjects-6.10.1.ebuild  | 54 ++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-qt/qtremoteobjects/Manifest b/dev-qt/qtremoteobjects/Manifest
index ebd45dcb651e..c9e2667b7bbe 100644
--- a/dev-qt/qtremoteobjects/Manifest
+++ b/dev-qt/qtremoteobjects/Manifest
@@ -1,2 +1,3 @@
 DIST qtremoteobjects-everywhere-src-6.10.0.tar.xz 528912 BLAKE2B 
f653745a2b6f68694ac11df9894fafd63aa7d3208f3a1138e6a75a7e6455f5d8466d84f45b7104718e7991f4d1fa806d07199a57d7d913fa7587a212b91c7225
 SHA512 
9ba660583f13693da2e13fda1b1b8612845d6084c1ee7ac56ec244b8263b659f8b1d892ed227d46737eacfc645ae9553d2f59426e55f2d323382bbd9319dab59
+DIST qtremoteobjects-everywhere-src-6.10.1.tar.xz 528992 BLAKE2B 
fc2f18e0bae3aaf77918135f1144f9b3ee79f55a8e0776d7307d1a290d35042e85854de2f8239f31c2db287b2f0704b09826a88db70f6fcc9b57133a7c12d644
 SHA512 
18034872f84bc7d46e38050a639eaa2d9c6757184db9f155f3f025d5f54c11356f9b0856b1b250d9996b7ef4a258307d4e7efa9b8403a59f303c0a9fa6ea5629
 DIST qtremoteobjects-everywhere-src-6.9.3.tar.xz 528744 BLAKE2B 
97a8b6e00c536dac77e14cba850d5dc9f8c5ba647b9e6be418608e3a0d63e9f6f78aa50c6ee214c2fa2e5b5e972e744236c67e5bd1e80cc9d9217469944347ce
 SHA512 
12ad76a95f5bdcb15fec9f6ae1eef082d5f8ee78823da5c5763f8e81ccdd507e8cbcc7f2729ebcaee0524e528bf8b96d1c387bb08faf3d7a8fc2fea696ae94bc

diff --git a/dev-qt/qtremoteobjects/qtremoteobjects-6.10.1.ebuild 
b/dev-qt/qtremoteobjects/qtremoteobjects-6.10.1.ebuild
new file mode 100644
index 000000000000..5a992a36755d
--- /dev/null
+++ b/dev-qt/qtremoteobjects/qtremoteobjects-6.10.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit qt6-build
+
+DESCRIPTION="Inter-Process Communication (IPC) library for the Qt6 framework"
+
+if [[ ${QT6_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~loong"
+fi
+
+IUSE="qml"
+
+RDEPEND="
+       ~dev-qt/qtbase-${PV}:6[network]
+       qml? (
+               ~dev-qt/qtbase-${PV}:6[gui]
+               ~dev-qt/qtdeclarative-${PV}:6
+       )
+"
+DEPEND="
+       ${RDEPEND}
+       test? ( ~dev-qt/qtbase-${PV}:6[gui] )
+"
+
+src_configure() {
+       # same issue as bug #913692 when tests are enabled
+       has_version "=dev-qt/qtdeclarative-$(ver_cut 1-3)*:6" &&
+               local mycmakeargs=( $(cmake_use_find_package qml Qt6Qml) )
+
+       qt6-build_src_configure
+}
+
+src_test() {
+       local CMAKE_SKIP_TESTS=(
+               # rarely fails randomly even with -j1, not looked further into
+               tst_modelview
+       )
+
+       # tests re-use 127.0.0.1:65213 and randomly fail if ran at same time
+       qt6-build_src_test -j1
+}
+
+src_install() {
+       qt6-build_src_install
+
+       if use test; then
+               # installs 30+ test binaries like "qt6/bin/state" and, given
+               # otherwise empty, "can" delete the directory rather than list
+               rm -r -- "${D}${QT6_BINDIR}" || die
+       fi
+}

Reply via email to